Pular para o conteúdo principal
GET
/
v1
/
organizations
/
{organization_id}
/
operations
/
{operation_id}
Obter detalhe de uma operação
curl --request GET \
  --url https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.flexxible.net/v1/organizations/{organization_id}/operations/{operation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "64f0c2a1b2d3e4f506070811",
  "organization_id": "507f1f77bcf86cd799439011",
  "name": "remote_assistance",
  "description": "Operación de asistencia remota",
  "status": "finished",
  "created_at": "2026-03-10T09:11:45Z",
  "started_at": "2026-03-10T09:12:00Z",
  "ended_at": "2026-03-10T09:15:17Z",
  "microservice_id": "64f0c2a1b2d3e4f506070833",
  "flow_id": "64f0c2a1b2d3e4f506070844",
  "remote_support": {
    "start_date": "2026-03-10T09:12:00Z",
    "end_date": "2026-03-10T09:15:17Z",
    "type": "unattended"
  }
}
{
"error": {
"message": "El identificador de operación no es válido",
"code": "bad_request",
"details": "operation_id debe tener 24 caracteres hexadecimales en minúscula."
}
}
{
"error": {
"message": "No autorizado",
"code": "unauthorized"
}
}
{
"error": {
"message": "Operación no encontrada",
"code": "not_found"
}
}
{
"error": {
"message": "Error interno del servidor",
"code": "internal_error"
}
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

organization_id
string
obrigatório

Identificador da organização.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
operation_id
string
obrigatório

Identificador da operação.

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Resposta

Operação recuperada corretamente.

id
string
obrigatório

Identificador da execução da operação.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
name
string
obrigatório

Nome da operação.

organization_id
string
obrigatório

Identificador da organização proprietária da operação.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
description
string
obrigatório

Descrição da operação. Retorna uma cadeia vazia quando não existe na origem.

status
enum<string>
obrigatório

Estado atual da operação.

Opções disponíveis:
finished,
unknown,
error,
pending,
in-progress,
timeout,
cancelled,
scheduled
created_at
string<date-time>
obrigatório

Marcação temporal de criação.

started_at
string<date-time> | null

Marcação temporal de início.

ended_at
string<date-time> | null

Marcação temporal de finalização.

microservice_id
string | null

Identificador do microsserviço relacionado, quando existir.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
flow_id
string | null

Identificador do fluxo relacionado, quando existir.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
remote_support
object | null